Signaler

Résolution écran bloquée en 1024x768 Ubuntu

Posez votre question LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - Dernière réponse le 27 oct. 2016 à 10:09
Bonjour à tous,
Je viens d'effectuer une mise à jour d'Ubuntu afin de passer de la version 14.04 à la 16.04
et je constate qu'après la mise à jour, la résolution de l'écran à été bloquée à 1024x768 alors que mon écran est en full hd...

J'ai essayé de la changer dans les paramètres, mais il n'y a plus que cette résolution disponible...

J'ai déjà essayé tous les drivers disponibles pour cette carte (libres et propriétaire) mais rien n'y fait...

C'est la première fois que ça m'arrive et je ne sais pas du tout comment on s'y prend pour règler ce genre de problèmes...

Merci d'avance pour vos réponses! :-)
Afficher la suite 
Utile
+0
moins plus
Bonjour,

Quel est ton modèle de carte vidéo ?

lspci | grep VGA


Bonne chance
Ajouter un commentaire
Utile
+0
moins plus
Merci pour la réponse!
C'est une gtx 780.

pyrocraft@PyroMaster:~$ lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation GK110 [GeForce GTX 780] (rev a1)
pyrocraft@PyroMaster:~$ ^C
pyrocraft@PyroMaster:~$
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 19 oct. 2016 à 19:40
Hé! Mais je te reconnais! Tu m'as déjà aidé dans une autre au sujet de ma carte graphique! ^^

http://www.commentcamarche.net/forum/affich-33755908-probleme-de-son-ubuntu#p33783687
Répondre
Ajouter un commentaire
Utile
+0
moins plus
Hé! Mais je te reconnais! Tu m'as déjà aidé dans une autre au sujet de ma carte graphique! ^^

Ah oui en effet :-)

Bon concernant ta carte c'est assez bizarre elle n'est pas référencée dans les paquets nvidia sous debian. Par contre ce driver est sensé la supporter :
http://www.nvidia.com/download/driverResults.aspx/70744/en-us

Assure toi qu'aucun paquet "nvidia" n'est installé avant de passer par cet installeur. À chaque mise à jour de noyau il faudra relancer le script d'installation. Les étapes sont détaillées ici :
http://www.commentcamarche.net/faq/3456-installer-drivers-nvidia-sous-debian#a-installation-avec-le-script-nvidia

Bonne chance
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 20 oct. 2016 à 14:46
Bonjour, j'ai supprimé tous les paquets Nvidia qui étaient installés, j'ai téléchargé le drivers sur le site de Nvidia et je l'ai placée dans /tmp. J'ai remis ma carte graphique dans mon pc (je ne l'utilisais plus à cause de son problème) et j'ai redémarré mon pc et, miracle, la résolution est redevenue normale.
Je crois plutôt que c'était le fait de désinstaller les paquets Nvidia qui a résolu le problème au final!
Répondre
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 20 oct. 2016 à 14:48
Merci beaucoup pour ton aide! (je reste quand même vigilant et il sera possible que je fasse un UP sur cette discussion si un problème revient)
Répondre
Ajouter un commentaire
Utile
+0
moins plus
Merci beaucoup pour ton aide! (je reste quand même vigilant et il sera possible que je fasse un UP sur cette discussion si un problème revient)

De rien, et oui si tu as un problème n'hésite pas.

Ceci dit, l'idéal serait de fonctionner avec le paquet
xorg-xserver-nvidia-*
adéquat {s'il existe/quand il existera}. Si aucun paquet ne supporte ta carte et que tu utilises la dernière version d'ubuntu, ce serait pas mal de faire une remontée en wishlist à ubuntu en indiquant quel version du pilote tu as installé grâce au script.
https://fr.wikipedia.org/wiki/Liste_des_versions_d%27Ubuntu
https://launchpad.net/ubuntu

Tu peux voir quels paquets sont disponibles avec la commande :

apt-cache search xorg-xserver-video | grep nvidia


Pour chaque paquet listé, tu peux ensuite regarder quels modèles de carte sont supportés.

Exemple : (au besoin, installe
aptitude
avec
sudo apt-get install aptitude
) :

aptitude show xserver-xorg-video-nvidia-legacy-304xx


Tout ce que j'explique peut aussi se faire via la logithèque.
https://doc.ubuntu-fr.org/software-center

Si tu installes un tel paquet, pense à bien désinstaller le pilote nvidia installé via le script au préalable (il doit suffire de passer
--uninstall
en paramètre du script nvidia).

Bonne chance
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 23 oct. 2016 à 12:52
Bonjour, après une mise à jour, le problème est revenu... Il s'agit toujours du même problème de résolution bloquée... Je n'ai pas réussi à installer le pilote dont tu m'as donné le lien de téléchargement (je ne suis pas très fort pour utiliser un terminal)...
Je ne sais pas pourquoi, mais il n'y a aucun résultat lorsque j'effectue cette commande:
pyrocraft@PyroMaster:~$ apt-cache search xorg-xserver-nvidia | grep nvidia
pyrocraft@PyroMaster:~$


En bref, en temps que novice dans Ubuntu, je suis un peu perdu! :-(

Mais je suis sûr que tu finira par trouver comment résoudre mon problème! ^^
Un grand merci d'avance en tout cas!

PS: Je n'ai pas compris ce que ça signifie de faire une remontée en wishlist à ubuntu (et comment faire).
Répondre
mamiemando 27307Messages postés jeudi 12 mai 2005Date d'inscription ModérateurStatut 4 décembre 2016 Dernière intervention - 24 oct. 2016 à 00:19
C'est ma faute la commande que j'ai indiquée était fausse, il faut lancer :

apt-cache search xserver-xorg-video | grep nvidia


Ensuite concernant la wishlist : en gros tu peux remonter aux développeurs des bugs ou des souhaits pour améliorer un logiciel (par exemple pour leur donner une idée de fonctionnalité à ajouter, leur indiquer un oubli, etc...).

En l'occurrence, mint se base sur ubuntu. La plupart des paquets en dérivent directement . Si le script nvidia prend en charge ta carte, mais pas les paquets standards, c'est probablement que le pilote du script est plus récent. Il serait donc bon, pour les utilisateurs qui ont par exemple ton modèle de carte, qu'un paquet soit proposé dans la distribution te permettant d'installer ainsi le pilote "proprement".

Mais bon, il faut s'assurer au préalable qu'effectivement aucun pilote ne prend en charge cette carte.

Si c'est bien le cas, l'outil reportbug permet de soumettre des bugs et/ou des souhaits. Plus de détails ici :
https://help.ubuntu.com/community/reportbug

Bonne chance
Répondre
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 24 oct. 2016 à 12:24
Ça doit être moi, mais la commande ne fonctionne toujours pas...
D'accord c'est noté, je vais essayer de faire la remontée en wishlist à Ubuntu.
Ne pense-tu pas que c'est un problème au niveau de la configuration de Xorg ? Car il me semble qu'il a changé de structure depuis la 16.04.
Répondre
mamiemando 27307Messages postés jeudi 12 mai 2005Date d'inscription ModérateurStatut 4 décembre 2016 Dernière intervention - 25 oct. 2016 à 09:33
Non c'est moi j'ai refait une typo (que j'ai corrigée). Bon limitons les risques :

(mando@velvet) (~) $ apt-cache search xorg | grep nvidia
nvidia-support - NVIDIA binary graphics driver support files
nvidia-kernel-dkms - NVIDIA binary kernel module DKMS source
nvidia-kernel-source - NVIDIA binary kernel module source
xserver-xorg-video-nvidia - NVIDIA binary Xorg driver
nvidia-legacy-304xx-kernel-dkms - NVIDIA binary kernel module DKMS source (304xx legacy version)
nvidia-legacy-304xx-kernel-source - NVIDIA binary kernel module source (304xx legacy version)
xserver-xorg-video-nvidia-legacy-304xx - NVIDIA binary Xorg driver (304xx legacy version)
nvidia-legacy-340xx-kernel-dkms - NVIDIA binary kernel module DKMS source (340xx legacy version)
nvidia-legacy-340xx-kernel-source - NVIDIA binary kernel module source (340xx legacy version)
xserver-xorg-video-nvidia-legacy-340xx - NVIDIA binary Xorg driver (340xx legacy version)


Bonne chance
Répondre
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 25 oct. 2016 à 14:07
Ok, cette fois ci, ça marche!

pyrocraft@PyroMaster:~$ apt-cache search xorg | grep nvidia
nvidia-304 - NVIDIA legacy binary driver - version 304.131
nvidia-304-dev - NVIDIA binary Xorg driver development files
nvidia-304-updates - NVIDIA legacy binary driver - version 304.131
nvidia-304-updates-dev - NVIDIA binary Xorg driver development files
nvidia-340 - NVIDIA binary driver - version 340.96
nvidia-340-dev - NVIDIA binary Xorg driver development files
nvidia-361 - NVIDIA binary driver - version 361.42
nvidia-361-dev - NVIDIA binary Xorg driver development files


Mais bon, il faut s'assurer au préalable qu'effectivement aucun pilote ne prend en charge cette carte.


Est-ce donc le cas à la vue des résultats de la commande? (moi, je n'en ai aucune idée...)
Répondre
Ajouter un commentaire
Utile
+0
moins plus
Eh bien dans ton cas il faut regarder :
- les modèles de cartes supportés par les pilotes proposés (tu noteras qu'ils sont nommés différemment de chez moi, c'est parce que je suis sous debian) :

sudo apt-get update
sudo apt-get install aptitude
aptitude show nvidia-304
aptitude show nvidia-340
aptitude show nvidia-361


Admettons que le 361 supporte ta carte, ce serait le pilote à installer (pour le moment ne le fais pas) avec la commande
sudo apt-get install nvidia-361


Supposons qu'aucun pilote ne packagé ne supporte ta carte. Il faudrait comparer ces numéros de version avec le numéro de version du pilote nvidia que tu as installé. Si celui que tu as installé est plus récent et supporte ta carte, cela signifie qu'il serait souhaitable qu'un paquet nvidia-xxx t'évite d'avoir à passer par ce script.

De deux choses l'unes : soit le pilote en question a déjà été packagé (dans ce cas ta version d'ubuntu est peut être trop ancienne) :
http://packages.ubuntu.com/search?suite=default&section=all&arch=amd64&keywords=nvidia&searchon=names

...., soit ce n'est pas le cas et il faudrait qu'ils le fassent (pour que tous les gens dans ta situation ne soit pas dans la panade).

Indique-moi quelle est la version du pilote nvidia tu as installé (typiquement indiqué dans le nom du script nvidia) et ta version d'ubuntu (
cat /etc/lsb-release
).

Bonne chance
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 26 oct. 2016 à 11:46
Ma version d'ubuntu est assez récente, avant que je ne change de noyau, je n'avais pas ce problème de basse résolution (quand j'étais en 14.04)

Voilà:

pyrocraft@PyroMaster:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04.1 LTS"
Répondre
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 26 oct. 2016 à 12:01
Ah oui, j'ai trouvé! Dans le gestionnaire de pilotes graphique, il est indiqué que j'utilise le nvidia-361 or, avec la commande,

aptitude show nvidia-3xx


seule la version 304 se dit compatible avec ma carte!

C'est quand même bizarre étant donné que sur les 3 disponibles, le seul qui se dit compatible n'est pas disponible dans le gestionnaire de pilotes graphique...
Répondre
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 26 oct. 2016 à 12:03
"Admettons que le 361 supporte ta carte, ce serait le pilote à installer (pour le moment ne le fais pas) avec la commande"

Pourquoi je ne dois pas l'installer pour le moment? (dans mon cas, c'est le 304)
Répondre
LinuxCool 204Messages postés jeudi 25 février 2016Date d'inscription 26 octobre 2016 Dernière intervention - 26 oct. 2016 à 14:30
Je poste les résultats d'une commande qui pourraient peut-être être utiles:

pyrocraft@PyroMaster:~$ xrandr
xrandr: Failed to get size of gamma for output default
Screen 0: minimum 1024 x 768, current 1024 x 768, maximum 1024 x 768
default connected primary 1024x768+0+0 0mm x 0mm
1024x768 76.00*
1920x1080_60.00 (0x27e) 173.000MHz -HSync +VSync
h: width 1920 start 2048 end 2248 total 2576 skew 0 clock 67.16KHz
v: height 1080 start 1083 end 1088 total 1120 clock 59.96Hz
Répondre
Ajouter un commentaire
Utile
+0
moins plus
Bonjour,

Ma version d'ubuntu est assez récente, avant que je ne change de noyau, je n'avais pas ce problème de basse résolution (quand j'étais en 14.04)

Si tu l'as installé avec le script nvidia, c'est normal : il faut préparer le module nvidia pour chaque noyau que tu installes. Or quand tu fais une mise à jour, le script nvidia n'est pas lancé par le gestionnaire de paquets, qui n'a même pas conscience de son existence.

C'est pourquoi une installation du pilote nvidia par paquets est meilleure : dans ce cas, le gestionnaire de paquets est au courant et fait donc tout automatiquement.

Ah oui, j'ai trouvé! Dans le gestionnaire de pilotes graphique, il est indiqué que j'utilise le nvidia-361 or, avec la commande,

Ok, ou sinon pour voir celui qui est installé :

dpkg -l | grep nvidia


C'est quand même bizarre étant donné que sur les 3 disponibles, le seul qui se dit compatible n'est pas disponible dans le gestionnaire de pilotes graphique...

Pas compris de quoi tu parlais. Tu parles de ceci ?
https://doc.ubuntu-fr.org/gestionnaire_de_pilotes_proprietaires

Pourquoi je ne dois pas l'installer pour le moment? (dans mon cas, c'est le 304)

Disons que je voulais m'assurer que l'un des pilotes proposés était compatible. De plus il serait pas mal de désinstaller le pilote installé via le script au préalable, même si normalement le paquet sait gérer ça. Si ton script s'appelle NVIDIA, ça doit être une commande du genre
sudo sh NVIDIA uninstall
(à faire en mode texte) :
https://www.mistra.fr/tutoriel-linux-mode-texte.html

Exemple : en supposant que ton gestionnaire de connexion est lightdm, une fois identifié en mode texte :
https://doc.ubuntu-fr.org/lightdm

sudo service lightdm stop
sudo sh NVIDIA uninstall
sudo reboot


Bonne chance
Ajouter un commentaire

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes.

Le fait d'être membre vous permet d'avoir des options supplémentaires.

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !